﻿.product-card {
    width: 280px;
    background: #fff;
    border-radius: 16px;
    overflow: hidden;
    /*box-shadow: 0 10px 25px rgba(0,0,0,0.1);*/
    transition: 0.3s ease;
    position: relative;
}

    .product-card:hover {
        transform: translateY(-8px);
        box-shadow: 0 15px 35px rgba(0,0,0,0.15);
    }

.badge {
    position: absolute;
    top: 12px;
    left: 12px;
    background: #000;
    color: #fff;
    padding: 4px 10px;
    font-size: 12px;
    border-radius: 20px;
    z-index: 2;
}

.wishlist {
    position: absolute;
    top: 12px;
    right: 12px;
    width: 34px;
    height: 34px;
    border-radius: 50%;
    background: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 4px 10px rgba(0,0,0,0.15);
    cursor: pointer;
    z-index: 2;
}

    .wishlist:hover {
        background: #000;
        color: #fff;
    }

.image-box {
    width: 100%;
    height: 260px;
    position: relative;
    overflow: hidden;
}

    .image-box img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        position: absolute;
        top: 0;
        left: 0;
        transition: 0.5s ease;
    }

        .image-box img.hover-img {
            opacity: 0;
        }

.product-card:hover .image-box img.hover-img {
    opacity: 1;
}

.product-card:hover .image-box img.main-img {
    opacity: 0;
}

.content {
    padding: 16px;
}

.top-row {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 6px;
}

.category {
    font-size: 12px;
    letter-spacing: 1.5px;
    text-transform: uppercase;
    color: #8a8a8a;
    font-weight: 500;
}

.rating {
    font-size: 13px;
    font-weight: 600;
    color: #8f6d07;
    display: flex;
    align-items: center;
    gap: 3px;
}

.product-name {
    /*font-family: 'Playfair Display', serif;*/
    font-size: 18px;
    /*font-weight: 600;*/
    color: #1a1a1a;
    line-height: 1.4;
    margin-bottom: 10px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.price-box {
    display: flex;
    align-items: center;
    gap: 10px;
}

.price {
    font-size: 17px;
    font-weight: 700;
    color: #674e02;
}

.old-price {
    font-size: 15px;
    color: #a28d4e;
    text-decoration: line-through;
}

@media(max-width:500px) {
    .product-card {
        width: 100%;
    }
}


.premium-badge {
    position: absolute;
    top: 12px;
    left: 12px;
    display: inline-flex;
    align-items: center;
    gap: 1px;
    padding: 4px 8px;
    font-size: 12px;
    font-weight: 700;
    letter-spacing: 0.5px;
    color: #f5c542;
    background: linear-gradient(180deg, #1a1a1a, #000);
    border: 2px solid #d4af37;
    border-radius: 20px;
    box-shadow: 0 0 6px rgba(212, 175, 55, 0.6), inset 0 0 4px rgba(255, 215, 0, 0.3);
    z-index: 3;
}

    .premium-badge .icon {
        font-size: 14px;
        line-height: 1;
    }

    .premium-badge:hover {
        box-shadow: 0 0 10px rgba(212, 175, 55, 0.9), inset 0 0 6px rgba(255, 215, 0, 0.5);
    }

